2019-09-20 12:18 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001506Database Workbench v5Data Import & Exportpublic2017-10-27 12:38
ReporterJeroen Pluimers 
Assigned ToMartijn Tonies 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version[Database Workbench] 5.3.2 
Target VersionFixed in Version[Database Workbench] 5.3.4 
Summary0001506: Timestamp export to Excel XLSX only shows date, Time fails, CSV shows both date and time
DescriptionTimestamp export to Excel XLSX only shows date, CSV shows both date and time


XLSX should show both date and time as well
Steps To Reproduce1. Execute this query:

```
select (cast('now' as timestamp)) as nowTimeStamp from rdb$database
```

2. Export as XLSX file
3. Export as CSV file (; separator " string , decimal)

Open the CSV file: has date and time portion
Open the XLSX file: timestamp has only the date portion

Expected: XLSX file ot have date and time portion
Additional InformationScreenshots:

https://www.dropbox.com/s/py62fe16pa7v604/Screenshot%202017-07-03%2014.35.26.png?raw=1
https://www.dropbox.com/s/li0ex33htdyx3k5/Screenshot%202017-07-03%2014.36.48.png?raw=1
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000428

Jeroen Pluimers (reporter)

From the CSV:

```
NOWTIMESTAMP
3-7-2017 14:33:19
```
+Notes

-Issue History
Date Modified Username Field Change
2017-07-03 14:43 Jeroen Pluimers New Issue
2017-07-03 14:43 Jeroen Pluimers File Added: cast-timestamp-now.7z
2017-07-03 16:01 Jeroen Pluimers Note Added: 0000428
2017-09-27 15:59 Martijn Tonies Assigned To => Martijn Tonies
2017-09-27 15:59 Martijn Tonies Status new => assigned
2017-09-27 15:59 Martijn Tonies Summary Timestamp export to Excel XLSX only shows date, CSV shows both date and time => Timestamp export to Excel XLSX only shows date, Time fails, CSV shows both date and time
2017-09-28 11:31 Martijn Tonies Status assigned => resolved
2017-09-28 11:31 Martijn Tonies Fixed in Version => 5.3.4
2017-09-28 11:31 Martijn Tonies Resolution open => fixed
2017-10-27 12:38 Martijn Tonies Status resolved => closed
+Issue History